summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-09-17 04:58:00 +0200
committerMichał Górny <mgorny@gentoo.org>2026-09-17 05:22:54 +0200
commitd50866b3992c97745c1cdd93aecaecab201538e5 (patch)
tree9fcd3bf36caea0c808948b427d71bd9df9739c96 /dev-python
parent26388a2753f7a3e56d7e25b252191447ace7e654 (diff)
dev-python/flit: Bump to 4.1.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/flit/Manifest2
-rw-r--r--dev-python/flit/flit-4.1.0.ebuild60
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/flit/Manifest b/dev-python/flit/Manifest
index 46168b39c740..a3314a159f27 100644
--- a/dev-python/flit/Manifest
+++ b/dev-python/flit/Manifest
@@ -1,2 +1,4 @@
DIST flit-4.0.2.tar.gz 154725 BLAKE2B fe2b85d8cd79e33023cbdd29beb569de9afda26b452a6211905459e1421a3310e5ebc92348c62c8e3919b2fe8d80ff2a2507774e76b21511b3ffddcc287cc73f SHA512 aa26f1b817e23222cfb775a46e4d8fd64e9d3e0bc623ce0f1762ce30604df9d5c1b076fa6d806f13b058f11bcdb68b39d9d8717f2cbc7d0ffe33b7cc669abd4c
DIST flit-4.0.2.tar.gz.provenance 8875 BLAKE2B edff0f307dcd89d54c24c32067c3c6663a0d4ab3cb1722b387f6ed506d8f2784a2a827bd33ca83573e8d88f2cf893acaef71d6153f49e332bc89f85c32e93a56 SHA512 0c3a7b87e7e06cb41fe191b81ca0d493e9addbed01a4a494ca35ddbb76212315506bcea905161813caef2e837c98bba4176d7592d2252c68b209c06086e365fa
+DIST flit-4.1.0.tar.gz 157085 BLAKE2B 9fdfa02b2d079267ba51775066fb48fe8606c2cb7527c43a6eaed6ac522fa8626fca0cff3fb47198e1e44be9f733cf2c9bf00cb3a37042203b01b5b88b43de68 SHA512 3875572d922f940b5bc562b39e0c88f1166b3a819590d1ba13a73e80c2b9a43c2c237a9ab8c44e9ac405ab1d8368952e1264a1e7010e844ebb3e8faccc2b76e5
+DIST flit-4.1.0.tar.gz.provenance 9253 BLAKE2B b0d4ac5ed30ffae235250faded6857057ff40c1495bdeb5258bbad4f78dbad2d05fed8577943158fb47e46047f30c367a0fa285855cf34398c55297020b9be1f SHA512 8588c20247c9c4f1105ff08e033132cea067391971992cf37f75c666e28a676402914fbdc28dcf15bb20485d5fdb276424e47605da3f8eb495b26ef81b42dfe2
diff --git a/dev-python/flit/flit-4.1.0.ebuild b/dev-python/flit/flit-4.1.0.ebuild
new file mode 100644
index 000000000000..7dbfb803cc5d
--- /dev/null
+++ b/dev-python/flit/flit-4.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/pypa/flit
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simplified packaging of Python modules"
+HOMEPAGE="
+ https://github.com/pypa/flit/
+ https://flit.readthedocs.io/
+ https://pypi.org/project/flit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/flit-core-${PV}[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ sys-apps/grep
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # requires Internet
+ tests/test_config.py::test_invalid_classifier
+ # failing due to Gentoo pip patches
+ tests/test_install.py::InstallTests::test_install_data_dir
+ tests/test_install.py::InstallTests::test_install_module_pep621
+ tests/test_install.py::InstallTests::test_symlink_data_dir
+ tests/test_install.py::InstallTests::test_symlink_module_pep621
+)
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx doc \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/pygments-github-lexers \
+ dev-python/sphinx-rtd-theme
+
+src_prepare() {
+ # make sure system install is used
+ rm -r flit_core || die
+ distutils-r1_src_prepare
+}